package com.heyu.api.data.service.operation;
/**
* <p>
* 场景下的条件下的具体动作 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.operation.OperatinActionEntity;
public interface OperatinActionService extends IService<OperatinActionEntity> {



	OperatinActionEntity selectOperatinActionById(Long id);


	Long insertOperatinAction(OperatinActionEntity operatinAction);


	Long insertOrUpdateOperatinAction(OperatinActionEntity operatinAction);


	int updateOperatinActionById(OperatinActionEntity operatinAction);


	int updateCoverOperatinActionById(OperatinActionEntity operatinAction);


	int deleteOperatinActionById(Long id);


}